<?php
/**
 * Plugin Name: WP Guard By ScriptYab
 * Plugin URI:  https://scriptyab.com/?p=9656
 * Description: WordPress Security, Firewall & Anti-Spam 
 * Version:     2.3
 * Author:      ScriptYab
 * Text Domain: wpguard-text
 * Author URI:  https://ScriptYab.com
 * License URI: https://codecanyon.net/licenses/standard?ref=Antonov_WEB
 */

if (!defined('ABSPATH')) {
    die('Error 404');
}

//define('WPGUARD_PLUGIN_PATH', plugin_dir_path(__FILE__));

//Check if is in the Admin Panel
if (is_admin()) {
    //WP Guard Admin Menus
    add_action('admin_menu', 'wpguard_adminmenu');
    
    function wpguard_adminmenu()
    {
        $page_title = 'Dashboard';
        $menu_title = 'WP Guard';
        $capability = 'manage_options';
        $menu_slug  = 'wpguard';
        $function   = 'wpguard_dashboard';
        $icon_url   = 'dashicons-shield-alt';
        
        add_menu_page($page_title, $menu_title, $capability, $menu_slug, $function, $icon_url);
        add_submenu_page('wpguard', 'Dashboard', 'Dashboard', 'manage_options', 'wpguard', 'wpguard_dashboard');
        add_submenu_page('wpguard', 'Settings', 'Settings', 'manage_options', 'wpguard-settings', 'wpguard_settings');
        add_submenu_page('wpguard', 'Protection Modules', 'Protection Modules', 'manage_options', 'wpguard-modules', 'wpguard_modules');
        add_submenu_page('wpguard', 'Logs', 'Logs', 'manage_options', 'wpguard-logs', 'wpguard_logs');
        add_submenu_page('wpguard', 'Bans', 'Bans', 'manage_options', 'wpguard-bans', 'wpguard_bans');
        
        add_submenu_page(null, 'Whitelist', 'Whitelist', 'manage_options', 'wpguard-whitelist', 'wpguard_whitelist');
        add_submenu_page(null, 'PHP Security Check', 'PHP Security Check', 'manage_options', 'wpguard-seccheck', 'wpguard_seccheck');
        add_submenu_page(null, 'System Information', 'System Information', 'manage_options', 'wpguard-systeminfo', 'wpguard_systeminfo');
        add_submenu_page(null, 'Analytics', 'Analytics', 'manage_options', 'wpguard-analytics', 'wpguard_analytics');
        add_submenu_page(null, 'Error Monitoring', 'Error Monitoring', 'manage_options', 'wpguard-errormonitoring', 'wpguard_errormonitoring');
        add_submenu_page(null, '.htaccess Editor', '.htaccess Editor', 'manage_options', 'wpguard-hteditor', 'wpguard_hteditor');
        add_submenu_page(null, 'Port Scanner', 'Port Scanner', 'manage_options', 'wpguard-portscanner', 'wpguard_portscanner');
        add_submenu_page(null, 'IP Blacklist Checker', 'IP Blacklist Checker', 'manage_options', 'wpguard-ipblacklistcheck', 'wpguard_ipblacklistcheck');
        add_submenu_page(null, 'Hashing', 'Hashing', 'manage_options', 'wpguard-hashing', 'wpguard_hashing');
        add_submenu_page(null, 'Log Details', 'Log Details', 'manage_options', 'wpguard-logdetails', 'wpguard_logdetails');
        add_submenu_page(null, 'Visitor Details', 'Visitor Details', 'manage_options', 'wpguard-visitordetails', 'wpguard_visitordetails');
		add_submenu_page(null, 'Login History', 'Login History', 'manage_options', 'wpguard-loginhistory', 'wpguard_loginhistory');
        
    }
    
    //WP Guard Action Links
    add_filter('plugin_action_links_' . plugin_basename(__FILE__), 'wpguard_actionlinks');
    
    function wpguard_actionlinks($links)
    {
        $links[] = '<a href="' . esc_url(get_admin_url(null, 'admin.php?page=wpguard-settings')) . '">Settings</a>';
        $links[] = '<a href="https://ScriptYab.com" target="_blank">Support</a>';
        return $links;
    }
    
    //WP Guard Database Options
    add_option('wpg_mail_notifications', '0', '', 'yes');
    add_option('wpg_countryban_blacklist', '1', '', 'yes');
    add_option('wpg_sqli_protection', '1', '', 'yes');
    add_option('wpg_sqli_protection2', '1', '', 'yes');
    add_option('wpg_sqli_protection3', '0', '', 'yes');
    add_option('wpg_sqli_protection4', '1', '', 'yes');
    add_option('wpg_sqli_protection5', '1', '', 'yes');
    add_option('wpg_sqli_protection6', '1', '', 'yes');
    add_option('wpg_sqli_logging', '1', '', 'yes');
    add_option('wpg_sqli_autoban', '0', '', 'yes');
    add_option('wpg_sqli_mail', '0', '', 'yes');
    add_option('wpg_sqli_redirect', get_site_url() . '/blocked-request', '', 'yes');
    add_option('wpg_badbot_protection', '1', '', 'yes');
    add_option('wpg_badbot_protection2', '1', '', 'yes');
    add_option('wpg_badbot_protection3', '1', '', 'yes');
    add_option('wpg_badbot_logging', '1', '', 'yes');
    add_option('wpg_badbot_autoban', '0', '', 'yes');
    add_option('wpg_badbot_mail', '0', '', 'yes');
    add_option('wpg_proxy_protection', '0', '', 'yes');
    add_option('wpg_proxy_protection2', '0', '', 'yes');
	add_option('wpg_proxy_api1', '', '', 'yes');
	add_option('wpg_proxy_api2', '', '', 'yes');
	add_option('wpg_proxy_api3', '', '', 'yes');
    add_option('wpg_proxy_logging', '1', '', 'yes');
    add_option('wpg_proxy_mail', '0', '', 'yes');
    add_option('wpg_proxy_redirect', get_site_url() . '/proxy-detected', '', 'yes');
    add_option('wpg_spam_protection', '0', '', 'yes');
    add_option('wpg_spam_logging', '1', '', 'yes');
    add_option('wpg_spam_mail', '0', '', 'yes');
    add_option('wpg_spam_redirect', get_site_url() . '/spam-ip', '', 'yes');
    add_option('wpg_live_traffic', '0', '', 'yes');
    add_option('wpg_error_reporting', '5', '', 'yes');
    add_option('wpg_display_errors', '0', '', 'yes');
    add_option('wpg_banned_redirect', get_site_url() . '/banned', '', 'yes');
    add_option('wpg_bannedc_redirect', get_site_url() . '/banned-country', '', 'yes');
    add_option('wpg_bannedo_redirect', get_site_url() . '/banned-os', '', 'yes');
    add_option('wpg_bannedb_redirect', get_site_url() . '/banned-browser', '', 'yes');
    add_option('wpg_bannedi_redirect', get_site_url() . '/banned-isp', '', 'yes');
    add_option('wpg_bannedr_redirect', get_site_url() . '/banned-referer', '', 'yes');
    
    //Warning Pages
    function wpguard_addwpage()
    {
        $wppage1_content = '<p>You are banned and you cannot continue to the website</p>
		<p><br /><br /></p>
		<p>Protected by <strong><a href="https://ScriptYab.com" target="_blank">WPGuard</a></strong></p>
		';
		$wpage1  = array(
            'post_title' => 'Banned',
            'post_content' => $wppage1_content,
            'post_status' => 'publish',
            'post_author' => 1,
            'post_type' => 'page'
        );
		
		$wppage2_content = '<p>Malicious request was detected</p>
		<p><br /><br /></p>
		<p>Protected by <strong><a href="https://ScriptYab.com" target="_blank">WPGuard</a></strong></p>
		';
        $wpage2  = array(
            'post_title' => 'Blocked Request',
            'post_content' => $wppage2_content,
            'post_status' => 'publish',
            'post_author' => 1,
            'post_type' => 'page'
        );
		
		$wppage3_content = '<p>Access to the website via Proxy is not allowed (Disable Browser Data Compression if you have it enabled)</p>
		<p><br /><br /></p>
		<p>Protected by <strong><a href="https://ScriptYab.com" target="_blank">WPGuard</a></strong></p>
		';
        $wpage3  = array(
            'post_title' => 'Proxy Detected',
            'post_content' => $wppage3_content,
            'post_status' => 'publish',
            'post_author' => 1,
            'post_type' => 'page'
        );
		
		$wppage4_content = '<p>You are in the Blacklist of Spammers and you cannot continue to the website</p>
		<p><br /><br /></p>
		<p>Protected by <strong><a href="https://ScriptYab.com" target="_blank">WPGuard</a></strong></p>
		';
        $wpage4  = array(
            'post_title' => 'Spam IP',
            'post_content' => $wppage4_content,
            'post_status' => 'publish',
            'post_author' => 1,
            'post_type' => 'page'
        );
		
		$wppage5_content = '<p>Sorry, but your country is banned and you cannot continue to the website</p>
		<p><br /><br /></p>
		<p>Protected by <strong><a href="https://ScriptYab.com" target="_blank">WPGuard</a></strong></p>
		';
        $wpage5  = array(
            'post_title' => 'Banned Country',
            'post_content' => $wppage5_content,
            'post_status' => 'publish',
            'post_author' => 1,
            'post_type' => 'page'
        );
		
		$wppage6_content = '<p>Access to the website through your Browser is not allowed, please use another Internet Browser</p>
		<p><br /><br /></p>
		<p>Protected by <strong><a href="https://ScriptYab.com" target="_blank">WPGuard</a></strong></p>
		';
        $wpage6  = array(
            'post_title' => 'Banned Browser',
            'post_content' => $wppage6_content,
            'post_status' => 'publish',
            'post_author' => 1,
            'post_type' => 'page'
        );
		
		$wppage7_content = '<p>Access to the website through your Operating System is not allowed</p>
		<p><br /><br /></p>
		<p>Protected by <strong><a href="https://ScriptYab.com" target="_blank">WPGuard</a></strong></p>
		';
        $wpage7  = array(
            'post_title' => 'Banned OS',
            'post_content' => $wppage7_content,
            'post_status' => 'publish',
            'post_author' => 1,
            'post_type' => 'page'
        );
		
		$wppage8_content = '<p>Your Internet Service Provider is blacklisted and you cannot continue to the website</p>
		<p><br /><br /></p>
		<p>Protected by <strong><a href="https://ScriptYab.com" target="_blank">WPGuard</a></strong></p>
		';
        $wpage8  = array(
            'post_title' => 'Banned ISP',
            'post_content' => $wppage8_content,
            'post_status' => 'publish',
            'post_author' => 1,
            'post_type' => 'page'
        );
		
		$wppage9_content = '<p>Your referrer url is blocked and you cannot continue to the website</p>
		<p><br /><br /></p>
		<p>Protected by <strong><a href="https://ScriptYab.com" target="_blank">WPGuard</a></strong></p>
		';
        $wpage9  = array(
            'post_title' => 'Banned Referer',
            'post_content' => $wppage9_content,
            'post_status' => 'publish',
            'post_author' => 1,
            'post_type' => 'page'
        );
        
        if (get_page_by_title('Banned') == NULL) {
            wp_insert_post($wpage1);
        }
        if (get_page_by_title('Blocked Request') == NULL) {
            wp_insert_post($wpage2);
        }
        if (get_page_by_title('Proxy Detected') == NULL) {
            wp_insert_post($wpage3);
        }
        if (get_page_by_title('Spam IP') == NULL) {
            wp_insert_post($wpage4);
        }
        if (get_page_by_title('Banned Country') == NULL) {
            wp_insert_post($wpage5);
        }
        if (get_page_by_title('Banned Browser') == NULL) {
            wp_insert_post($wpage6);
        }
        if (get_page_by_title('Banned OS') == NULL) {
            wp_insert_post($wpage7);
        }
        if (get_page_by_title('Banned ISP') == NULL) {
            wp_insert_post($wpage8);
        }
        if (get_page_by_title('Banned Referer') == NULL) {
            wp_insert_post($wpage9);
        }
    }
    register_activation_hook(__FILE__, 'wpguard_addwpage');
    
    //WP Guard Database Tables
    register_activation_hook(__FILE__, 'wpguard_install');
    function wpguard_install()
    {
        global $wpdb;
        
        $table_name      = $wpdb->prefix . "wpg_logs";
        $charset_collate = $wpdb->get_charset_collate();
        
        $sql = "CREATE TABLE IF NOT EXISTS $table_name (
  id int(11) NOT NULL AUTO_INCREMENT,
  ip char(45) NOT NULL,
  date varchar(50) NOT NULL,
  time char(10) NOT NULL,
  page varchar(255) NOT NULL,
  query text NOT NULL,
  type varchar(50) NOT NULL,
  browser varchar(255) DEFAULT 'Unknown' NOT NULL,
  browser_code varchar(50) NOT NULL,
  os varchar(255) DEFAULT 'Unknown' NOT NULL,
  os_code varchar(40) NOT NULL,
  country varchar(120) DEFAULT 'Unknown' NULL,
  country_code char(2) DEFAULT 'XX' NULL,
  region varchar(120) DEFAULT 'Unknown' NULL,
  city varchar(120) DEFAULT 'Unknown' NULL,
  latitude varchar(30) DEFAULT '0' NULL,
  longitude varchar(30) DEFAULT '0' NULL,
  isp varchar(255) DEFAULT 'Unknown' NULL,
  useragent text NOT NULL,
  referer_url varchar(255) NULL,
  PRIMARY KEY (id)
) $charset_collate;";
        
        $table_name2 = $wpdb->prefix . "wpg_bans";
        $sql2        = "CREATE TABLE IF NOT EXISTS $table_name2 (
  id int(11) NOT NULL AUTO_INCREMENT,
  type varchar(50) NOT NULL,
  value varchar(255) NOT NULL,
  date varchar(50) NULL,
  time char(10) NULL,
  reason varchar(255) NULL,
  autoban tinyint(1) DEFAULT '0' NULL,
  PRIMARY KEY (id)
) $charset_collate;";
        
        $table_name3 = $wpdb->prefix . "wpg_ipwhitelist";
        $sql3        = "CREATE TABLE IF NOT EXISTS $table_name3 (
  id int(11) NOT NULL AUTO_INCREMENT,
  ip varchar(45) NOT NULL,
  notes varchar(255) NULL,
  PRIMARY KEY (id)
) $charset_collate;";
        
        $table_name4 = $wpdb->prefix . "wpg_dnsbl";
        $sql4        = "CREATE TABLE IF NOT EXISTS $table_name4 (
  id int(11) NOT NULL AUTO_INCREMENT,
  dnsbl_database varchar(30) NOT NULL,
  PRIMARY KEY (id)
) $charset_collate;";
        
        $table_name5 = $wpdb->prefix . "wpg_livetraffic";
        $sql5        = "CREATE TABLE IF NOT EXISTS $table_name5 (
  id int(11) NOT NULL AUTO_INCREMENT,
  ip char(45) NOT NULL,
  useragent varchar(255) NULL,
  browser varchar(255) DEFAULT 'Unknown' NOT NULL,
  browser_code varchar(50) NOT NULL,
  os varchar(255) DEFAULT 'Unknown' NOT NULL,
  os_code varchar(40) NOT NULL,
  device_type varchar(12) NOT NULL,
  country varchar(120) DEFAULT 'Unknown' NULL,
  country_code char(2) DEFAULT 'XX' NULL,
  request_uri varchar(255) NOT NULL,
  referer varchar(255) NULL,
  bot tinyint(1) DEFAULT '0' NOT NULL,
  date varchar(50) NOT NULL,
  time char(10) NOT NULL,
  uniquev tinyint(1) DEFAULT '0' NOT NULL,
  PRIMARY KEY (id)
) $charset_collate;";

        $table_name6 = $wpdb->prefix . "wpg_loginhistory";
        $sql6        = "CREATE TABLE IF NOT EXISTS $table_name6 (
  id int(11) NOT NULL AUTO_INCREMENT,
  username varchar(255) NOT NULL,
  ip char(45) NULL,
  date varchar(30) NULL,
  time char(5) NULL,
  successful int(1) NULL,
  PRIMARY KEY (id)
) $charset_collate;";

		$table_name7 = $wpdb->prefix . "wpg_filewhitelist";
        $sql7        = "CREATE TABLE IF NOT EXISTS $table_name7 (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `path` char(255) NOT NULL,
  `notes` varchar(255) NOT NULL,
   PRIMARY KEY (id)
) $charset_collate;";
        
        require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
        dbDelta($sql);
        dbDelta($sql2);
        dbDelta($sql3);
        dbDelta($sql4);
        dbDelta($sql5);
        dbDelta($sql6);
		dbDelta($sql7);
        
        $dnsblc1 = $wpdb->get_var($wpdb->prepare("SELECT COUNT(*) FROM $table_name4
                    WHERE dnsbl_database = %s LIMIT 1", 'sbl.spamhaus.org'));
        if ($dnsblc1 <= 0) {
            $wpdb->insert($table_name4, array(
                'dnsbl_database' => 'sbl.spamhaus.org'
            ), array(
                '%s'
            ));
        }
        
        $dnsblc1 = $wpdb->get_var($wpdb->prepare("SELECT COUNT(*) FROM $table_name4
                    WHERE dnsbl_database = %s LIMIT 1", 'xbl.spamhaus.org'));
        if ($dnsblc1 <= 0) {
            $wpdb->insert($table_name4, array(
                'dnsbl_database' => 'xbl.spamhaus.org'
            ), array(
                '%s'
            ));
        }
    }
	
    // CSS Styles
    function wpguard_styles()
    {
        if (isset($_GET['page']) && strpos($_GET['page'], 'wpguard') === 0) {
            wp_enqueue_style('bootstrap460c', 'https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/css/bootstrap.min.css');
            wp_enqueue_style('fontawesome', 'https://use.fontawesome.com/releases/v5.15.3/css/all.css');
            wp_enqueue_style('admincss', 'https://cdnjs.cloudflare.com/ajax/libs/admin-lte/3.1.0/css/adminlte.min.css');
            if (sanitize_text_field($_GET['page']) == 'wpguard-bans') {
                wp_enqueue_style('select2c', 'https://cdn.jsdelivr.net/npm/select2@4.0.13/dist/css/select2.min.css');
            }
            wp_enqueue_style('swticheryc', 'https://cdnjs.cloudflare.com/ajax/libs/switchery/0.8.2/switchery.min.css');
            wp_enqueue_style('datatablesc', 'https://cdn.datatables.net/v/bs4/dt-1.10.25/r-2.2.9/datatables.min.css');
            wp_enqueue_style('flags', esc_url(plugins_url('assets/plugins/flags/flags.css',__FILE__)));
            $wpgcustom_css = "
            body {
				background: #f1f1f1;
			}
			h1.protmodg {
				color:#47A447;
			}
			h1.protmodr {
				color:#d2322d;
			}
			h1.protmodb {
				color:#007bff;
			}
			h4.dashboardlb {
				background-color:#f7f7f7; 
				font-size: 16px; 
				text-align: center; 
				padding: 7px 10px; 
				margin-top: 0;
			}
			.wpanelbg {
				background-color:#23282d;
			}";
            wp_register_style('wpguard-css', false);
            wp_enqueue_style('wpguard-css');
            wp_add_inline_style('wpguard-css', $wpgcustom_css);
        }
    }
    add_action('admin_enqueue_scripts', 'wpguard_styles');
    
    // JS Scripts
    function wpguard_scripts()
    {
        if (isset($_GET['page']) && strpos($_GET['page'], 'wpguard') === 0) {
            wp_enqueue_script('swtichery', 'https://cdnjs.cloudflare.com/ajax/libs/switchery/0.8.2/switchery.min.js');
            wp_enqueue_script('jquery361', 'https://code.jquery.com/jquery-3.6.0.min.js');
            if (sanitize_text_field($_GET['page']) == 'wpguard' || sanitize_text_field($_GET['page']) == 'wpguard-analytics') {
                wp_enqueue_script('chartjs', 'https://cdnjs.cloudflare.com/ajax/libs/Chart.js/3.5.0/chart.min.js');
            }
            if (sanitize_text_field($_GET['page']) == 'wpguard-logdetails') {
                wp_enqueue_script('openlayers', 'https://openlayers.org/api/OpenLayers.js');
            }
			if (sanitize_text_field($_GET['page']) == 'wpguard-modules') {
                wp_enqueue_script('popperjs', 'https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js');
            }
            wp_enqueue_script('bootstrap460', 'https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/js/bootstrap.min.js');
            wp_enqueue_script('adminjs', 'https://cdnjs.cloudflare.com/ajax/libs/admin-lte/3.1.0/js/adminlte.min.js');
            if (sanitize_text_field($_GET['page']) == 'wpguard-bans') {
                wp_enqueue_script('select2', 'https://cdn.jsdelivr.net/npm/select2@4.0.13/dist/js/select2.min.js');
            }
            wp_enqueue_script('datatables', 'https://cdn.datatables.net/v/bs4/dt-1.10.25/r-2.2.9/datatables.min.js');
            
            $wpgcustom_js = '
        $(document).ready(function() {

	$(\'#dt-basic\').dataTable( {
		"responsive": true,
        "order": [[ 0, "desc" ]],
		"language": {
			"paginate": {
			  "previous": \'<i class="fas fa-angle-left"></i>\',
			  "next": \'<i class="fas fa-angle-right"></i>\'
			}
		}
	} );
	$(\'#dt-basic2\').dataTable( {
		"responsive": true,
        "order": [[ 0, "desc" ]],
		"language": {
			"paginate": {
			  "previous": \'<i class="fas fa-angle-left"></i>\',
			  "next": \'<i class="fas fa-angle-right"></i>\'
			}
		}
	} );
	$(\'#dt-basiclt\').dataTable( {
		"responsive": true,
        "order": [[ 2, "asc" ]],
		"language": {
			"paginate": {
			  "previous": \'<i class="fas fa-angle-left"></i>\',
			  "next": \'<i class="fas fa-angle-right"></i>\'
			}
		}
	} );
	$(\'#dt-basiclt1\').dataTable( {
		"responsive": true,
        "order": [[ 5, "desc" ]],
		"language": {
			"paginate": {
			  "previous": \'<i class="fas fa-angle-left"></i>\',
			  "next": \'<i class="fas fa-angle-right"></i>\'
			}
		}
	} );
	$(\'#dt-basicdb\').dataTable( {
		"responsive": true,
        "order": [[ 1, "desc" ]],
		"language": {
			"paginate": {
			  "previous": \'<i class="fas fa-angle-left"></i>\',
			  "next": \'<i class="fas fa-angle-right"></i>\'
			}
		}
	} );
} );

var elems = Array.prototype.slice.call(document.querySelectorAll(\'.psec-switch\'));

elems.forEach(function(html) {
  var switchery = new Switchery(html, {secondaryColor: \'red\'});
});
';
			
            wp_register_script('wpguard-js', '', [], '', true);
            wp_enqueue_script('wpguard-js');
            wp_add_inline_script('wpguard-js', $wpgcustom_js);
			
			if (sanitize_text_field($_GET['page']) == 'wpguard-bans') {
				$wpgcustom_js2 = '
$(document).ready(function() {
	$(\'#dt-basic3\').dataTable( {
		"responsive": true,
        "order": [[ 0, "desc" ]],
		"language": {
			"paginate": {
			  "previous": \'<i class="fas fa-angle-left"></i>\',
			  "next": \'<i class="fas fa-angle-right"></i>\'
			}
		}
	} );
	$(\'#dt-basic4\').dataTable( {
		"responsive": true,
        "order": [[ 0, "desc" ]],
		"language": {
			"paginate": {
			  "previous": \'<i class="fas fa-angle-left"></i>\',
			  "next": \'<i class="fas fa-angle-right"></i>\'
			}
		}
	} );
	$(\'#dt-basic5\').dataTable( {
		"responsive": true,
        "order": [[ 0, "desc" ]],
		"language": {
			"paginate": {
			  "previous": \'<i class="fas fa-angle-left"></i>\',
			  "next": \'<i class="fas fa-angle-right"></i>\'
			}
		}
	} );
	$(\'#dt-basic6\').dataTable( {
		"responsive": true,
        "order": [[ 0, "desc" ]],
		"language": {
			"paginate": {
			  "previous": \'<i class="fas fa-angle-left"></i>\',
			  "next": \'<i class="fas fa-angle-right"></i>\'
			}
		}
	} );
	$(\'#dt-basic7\').dataTable( {
		"responsive": true,
        "order": [[ 0, "desc" ]],
		"language": {
			"paginate": {
			  "previous": \'<i class="fas fa-angle-left"></i>\',
			  "next": \'<i class="fas fa-angle-right"></i>\'
			}
		}
	} );
} );

$(".select2").select2({
    width: \'100%\'
});
				';
				wp_register_script('wpguard-js2', '', [], '', true);
				wp_enqueue_script('wpguard-js2');
				wp_add_inline_script('wpguard-js2', $wpgcustom_js2);
			}
			
			if (sanitize_text_field($_GET['page']) == 'wpguard-seccheck') {
				$wpgcustom_js2 = '
					$("table").addClass("table table-bordered table-hover");
				';
				wp_register_script('wpguard-js2', '', [], '', true);
				wp_enqueue_script('wpguard-js2');
				wp_add_inline_script('wpguard-js2', $wpgcustom_js2);
			}
        }
    }
    add_action('admin_enqueue_scripts', 'wpguard_scripts');
	
    //WP Guard Admin Pages
    function wpguard_header()
    {
?>
<div class="wrap">
<?php
    }
    
    function wpguard_dashboard()
    {
        global $wpdb;
        wpguard_header();
        
        $pagetitle = "Dashboard";
        include_once "header.php";
        include_once "dashboard.php";
        echo '</div>';
    }
    
    function wpguard_settings()
    {
        global $wpdb;
        wpguard_header();
        
        $pagetitle = "Settings";
        include_once "header.php";
        include_once "settings.php";
        echo '</div>';
    }
    
    function wpguard_modules()
    {
        global $wpdb;
        wpguard_header();
        
        $pagetitle = "Protection Modules";
        include_once "header.php";
        include_once "protection-modules.php";
        echo '</div>';
    }
    
    function wpguard_logs()
    {
        global $wpdb;
        wpguard_header();
        
        $pagetitle = "Logs";
        include_once "header.php";
        include_once "logs.php";
        echo '</div>';
    }
    
    function wpguard_logdetails()
    {
        global $wpdb;
        wpguard_header();
        
        $pagetitle = "Log Details";
        include_once "header.php";
        include_once "log-details.php";
        echo '</div>';
    }
    
    function wpguard_bans()
    {
        global $wpdb;
        wpguard_header();
        
        $pagetitle = "Bans";
        include_once "header.php";
        include_once "bans.php";
        echo '</div>';
    }
    
    function wpguard_whitelist()
    {
        global $wpdb;
        wpguard_header();
        
        $pagetitle = "Whitelist";
        include_once "header.php";
        include_once "whitelist.php";
        echo '</div>';
    }
    
    function wpguard_analytics()
    {
        global $wpdb;
        wpguard_header();
        
        $pagetitle = "Visit Analytics";
        include_once "header.php";
        include_once "analytics.php";
        echo '</div>';
    }
    
    function wpguard_visitordetails()
    {
        global $wpdb;
        wpguard_header();
        
        $pagetitle = "Visitor Details";
        include_once "header.php";
        include_once "visitor-details.php";
        echo '</div>';
    }
    
    function wpguard_seccheck()
    {
        global $wpdb;
        wpguard_header();
        
        $pagetitle = "PHP Security Check";
        include_once "header.php";
        include_once "security-check.php";
        echo '</div>';
    }
    
    function wpguard_systeminfo()
    {
        global $wpdb;
        wpguard_header();
        
        $pagetitle = "System Information";
        include_once "header.php";
        include_once "system-information.php";
        echo '</div>';
    }
    
    function wpguard_errormonitoring()
    {
        global $wpdb;
        wpguard_header();
        
        $pagetitle = "Error Monitoring";
        include_once "header.php";
        include_once "error-monitoring.php";
        echo '</div>';
    }
    
    function wpguard_hteditor()
    {
        global $wpdb;
        wpguard_header();
        
        $pagetitle = ".htaccess Editor";
        include_once "header.php";
        include_once "htaccess-editor.php";
        echo '</div>';
    }
    
    function wpguard_portscanner()
    {
        global $wpdb;
        wpguard_header();
        
        $pagetitle = "Port Scanner";
        include_once "header.php";
        include_once "port-scanner.php";
        echo '</div>';
    }
    
    function wpguard_ipblacklistcheck()
    {
        global $wpdb;
        wpguard_header();
        
        $pagetitle = "IP Blacklist Checker";
        include_once "header.php";
        include_once "blacklist-checker.php";
        echo '</div>';
    }
    
    function wpguard_hashing()
    {
        global $wpdb;
        wpguard_header();
        
        $pagetitle = "Hashing";
        include_once "header.php";
        include_once "hashing.php";
        echo '</div>';
    }
	
	function wpguard_loginhistory()
    {
        global $wpdb;
        wpguard_header();
        
        $pagetitle = "Login History";
        include_once "header.php";
        include_once "login-history.php";
        echo '</div>';
    }

    
    //Uninstall
    register_uninstall_hook(__FILE__, 'wpguard_uninstall');
    
    function wpguard_uninstall()
    {
        global $wpdb;
        
        include_once "uninstall.php";
    }
    
} else {
    //WP Guard Initialization
    add_action('init', 'wpguard_include');
    function wpguard_include()
    {
        global $wpdb;
        
        include(plugin_dir_path(__FILE__) . 'modules/core.php');
        
        //IP Whitelist
        $table           = $wpdb->prefix . 'wpg_ipwhitelist';
        $whitelist_check = $wpdb->get_var($wpdb->prepare("SELECT COUNT(*) FROM $table
                    WHERE ip = %s LIMIT 1", $ip));
		$tablef           = $wpdb->prefix . 'wpg_filewhitelist';
        $fwhitelist_check = $wpdb->get_var($wpdb->prepare("SELECT COUNT(*) FROM $tablef
                    WHERE path = %s LIMIT 1", $script_name));
        
        if ($whitelist_check <= 0 && $fwhitelist_check <= 0) {
            
            if (get_option('wpg_error_reporting') == 1) {
                error_reporting(0);
            }
            if (get_option('wpg_error_reporting') == 2) {
                error_reporting(E_ERROR | E_WARNING | E_PARSE);
            }
            if (get_option('wpg_error_reporting') == 3) {
                error_reporting(E_ERROR | E_WARNING | E_PARSE | E_NOTICE);
            }
            if (get_option('wpg_error_reporting') == 4) {
                error_reporting(E_ALL & ~E_NOTICE);
            }
            if (get_option('wpg_error_reporting') == 5) {
                error_reporting(E_ALL);
            }
            
            //Displaying Errors
            if (get_option('wpg_display_errors') == 1) {
                ini_set('display_errors', '1');
            } else {
                ini_set('display_errors', '0');
            }
            
			include(plugin_dir_path(__FILE__) . 'modules/live-traffic.php');
            include(plugin_dir_path(__FILE__) . 'modules/ban-system.php');
			include(plugin_dir_path(__FILE__) . 'modules/sqli-protection.php');
			if ($actual_url != get_option('wpg_banned_redirect') && $actual_url != (get_option('wpg_banned_redirect') . '/')) {
				include(plugin_dir_path(__FILE__) . 'modules/badbots-protection.php');
				include(plugin_dir_path(__FILE__) . 'modules/headers-check.php');
				include(plugin_dir_path(__FILE__) . 'modules/fakebots-protection.php');
				if ($searchengine_bot == 0) {
					include(plugin_dir_path(__FILE__) . 'modules/proxy-protection.php');
					include(plugin_dir_path(__FILE__) . 'modules/spam-protection.php');
				}
			}
        }
    }
}

//Login History
add_action('wp_login', 'wpguard_saveslogin', 10, 1);
add_action('wp_login_failed', 'wpguard_saveflogin', 10, 1);

$ip = $_SERVER['REMOTE_ADDR'];
if ($ip == "::1") {
	$ip = "127.0.0.1";
}
$date   = date_i18n(get_option('date_format'));
$time   = date_i18n(get_option('time_format'));

function wpguard_saveslogin($user_login) {
	
    global $wpdb;
    global $ip, $date, $time;
	
	$table  = $wpdb->prefix . 'wpg_loginhistory';
	$data   = array(
            'username' => $user_login,
            'ip' => $ip,
            'date' => $date,
            'time' => $time,
            'successful' => '1'
        );
        $format = array(
            '%s',
            '%s',
            '%s',
            '%s',
            '%s',
            '%d'
        );
        $wpdb->insert($table, $data, $format);
}

function wpguard_saveflogin($user_login) {
	
    global $wpdb;
    global $ip, $date, $time;
	
	$table  = $wpdb->prefix . 'wpg_loginhistory';
	$data   = array(
            'username' => $user_login,
            'ip' => $ip,
            'date' => $date,
            'time' => $time,
            'successful' => '0'
        );
        $format = array(
            '%s',
            '%s',
            '%s',
            '%s',
            '%s',
            '%d'
        );
        $wpdb->insert($table, $data, $format);
}
?>